<div style="margin-top: 20px;">
    <h5>
        <span>BAST - STNK - BEGBAL - Internal</span>
    </h5>
    <br>
<p-tabView>
<!-- <p-tabPanel header="PENERIMAAN STNK">
<br>
<br>
    <p-dataTable [value]="vehicleDocumentRequirementBelumJadi" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        datakey="idreq" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true">
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.idframe'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idframe}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.idmachine'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.idmachine}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.policenumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.policenumber}}
            </ng-template>
        </p-column>
        <p-column header="No Faktur">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noFaktur}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleDocumentRequirement.stnk'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.personOwner}}
            </ng-template>
        </p-column>
    </p-dataTable>
</p-tabPanel> -->
<p-tabPanel header="INPUT PENERIMAAN">
    <ul class="nav justify-content-end">
        <li class="nav-item">
            <a class="btn btn-primary" [routerLink]="['/vehicle-document-requirement/begbal/registration-penerimaan-stnk-upload']">Upload</a>
        </li>
    </ul>
    <br>
    <ul class="nav justify-content-end">
        <li class="nav-item">
            <a class="btn btn-primary" [routerLink]="['/vehicle-document-requirement/begbal/registration-input-penerimaan-stnk']">INPUT
                REFRENCE NUMBER</a>
        </li>
    </ul>
<div class="fieldset-legend">
    <p-accordion class="filter-accordion">
        <p-accordionTab header="Filter">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label class="form-control-label" for="field_">Tanggal BAST</label>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="input-group input-calendar">
                                    <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="input-group input-calendar">
                                    <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- <div class="form-group">
                                <label class="form-control-label" for="field_statusType">Status</label>
                                <select class="form-control" id="field_statusType" name="statusType">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
                                </select>
                            </div> -->
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
                    </p-dropdown class="form-select" [options]="korals" placeholder="Select Korsal">
                    </p-dropdown>
                    <select class="form-control">
                        <option [value]="null">Select Korsal</option>
                        <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                    <select class="form-control">
                        <option [value]="null">Select Salesman</option>
                        <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                </div>
            </div>
            <div class="btn-filter-wrapper">
                <button type="button" class="btn btn-primary btn-filter" (click)="filter()">
                    <span>Filter</span>
                </button>
            </div>
        </p-accordionTab>
    </p-accordion>
</div>
<p-dataTable [value]="vehicleDocumentRequirementbegbal" 
[editable]="true" 
[rows]="itemsPerPage" 
[paginator]="true" 
[pageLinks]="5"
datakey="idreq" 
[rowsPerPageOptions]="[10,15,20]" 
[totalRecords]="totalItems" 
[responsive]="true"
>
<!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column></div> -->

    <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.vehicleDocumentRequirement.idframe'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.idframe}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.vehicleDocumentRequirement.idmachine'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.idmachine}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.vehicleDocumentRequirement.policenumber'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.policenumber}}
        </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.vehicleDocumentRequirement.stnk'|translate}}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.personOwner}}
        </ng-template>
    </p-column>
    <p-column header="No. Faktur">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.noFaktur}}
        </ng-template>
    </p-column>
    <p-column header="STNK">
        <!-- <ng-template let-rowData="rowData" pTemplate="body">
        				{{rowData.stnk | date:'dd-MM-yyyy'}}
        			</ng-template> -->
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.dtreceiptStnk == null">
                <label [style]="{'text-align': 'center'}">Belum Diterima</label>
            </div>
            <div *ngIf="rowData.dtreceiptStnk != null">
                {{rowData.dtreceiptStnk | date:'dd-MM-yyyy'}}
            </div>
        </ng-template>
    </p-column>
    <p-column header="Plat Nomor">
        <!-- <ng-template let-rowData="rowData" pTemplate="body">
            				{{rowData.stnk | date:'dd-MM-yyyy'}}
            			</ng-template> -->
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.dtreceiptPlat == null">
                <label [style]="{'text-align': 'center'}">Belum Diterima</label>
            </div>
            <div *ngIf="rowData.dtreceiptPlat != null">
                {{rowData.dtreceiptPlat | date:'dd-MM-yyyy'}}
            </div>
        </ng-template>
    </p-column>
    <p-column header="NOTICE">
        <!-- <ng-template let-rowData="rowData" pTemplate="body">
            				{{rowData.stnk | date:'dd-MM-yyyy'}}
            			</ng-template> -->
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.gantiNotice == null">
                <label [style]="{'text-align': 'center'}">Belum Diterima</label>
            </div>
            <div *ngIf="rowData.gantiNotice != null">
                {{rowData.gantiNotice | date:'dd-MM-yyyy'}}
            </div>
        </ng-template>
        <p-column header="Nomor Bast">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bastnumber}}
            </ng-template>
        </p-column>
    </p-column>
    <p-column header="{{'mpmApp.vehicleSalesBilling.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div *ngIf="rowData.gantiNotice !=null || rowData.dtreceiptPlat !=null || rowData.dtreceiptStnk !=null ">
                <button pButton type="submit" (click)="print(rowData.idframe, rowData.iddeltype)" icon="fa-print" class="flat-button">
                </button>
            </div>
            <div *ngIf="rowData.gantiNotice == null && rowData.dtreceiptPlat ==null && rowData.dtreceiptStnk ==null ">
                <label [style] = "{'text-align' : 'center'}"></label>
            </div>
        </ng-template>
    </p-column>
</p-dataTable>
</p-tabPanel>
<p-tabPanel header="LIST STNK DIAMBIL KONSUMEN">
    <div style="margin-top: 20px;">
        
        <!-- <ul class="nav justify-content-end" *jhiHasAnyAuthority="['ROLE_ADMIN']">
            <li class="nav-item">
                <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i>
                        &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
            </li>
        </ul> -->
    
        <div class="fieldset-legend">
            <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="form-control-label" for="field_">Tanggal BAST</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- <div class="form-group">
                                <label class="form-control-label" for="field_statusType">Status</label>
                                <select class="form-control" id="field_statusType" name="statusType">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
                                </select>
                            </div> -->
                        </div>
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
                            </p-dropdown class="form-select" [options]="korals" placeholder="Select Korsal">
                            </p-dropdown>
                            <select class="form-control">
                                <option [value]="null">Select Korsal</option>
                                <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                            <select class="form-control">
                                <option [value]="null">Select Salesman</option>
                                <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter" (click)="filter()">
                            <span>Filter</span>
                        </button>
                    </div>
                </p-accordionTab>
            </p-accordion>
        </div>
        <p-dataTable [value]="vehicleDocumentRequirementbegbalAmbil" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
            datakey="idreq" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true">
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.bastnumber'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.bastnumber}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.tanggalbast'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtdelivery}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.idframe'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idframe}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.idmachine'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idmachine}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.policenumber'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.policenumber}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.stnk'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.personOwner}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.namaPengambil'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.name}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.NomorKtp'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.identitynumber}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleDocumentRequirement.NomorHp'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.cellphone}}
                </ng-template>
            </p-column>
            <p-column header="STNK">
                <!-- <ng-template let-rowData="rowData" pTemplate="body">
        				{{rowData.stnk | date:'dd-MM-yyyy'}}
        			</ng-template> -->
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.dtbastsales == null">
                        <label [style]="{'text-align': 'center'}">SUDAH DIAMBIL CUSTOMER</label>
                    </div>
                    <div *ngIf="rowData.dtbastsales != null">
                        <label [style]="{'text-align': 'center'}">SUDAH DIAMBIL SALES</label>
                    </div>
                    <div *ngIf="rowData.dtbastsalesback != null">
                        <label [style]="{'text-align': 'center'}">SALES SUDAH MENYERAHKAN KEPADA KONSUMEN</label>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.vehicleSalesBilling.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.dtbastsales == null">
                    <button pButton type="submit" (click)="PrintUlang(rowData.idframe)" icon="fa-print" class="flat-button">
                    </button>
                </div>
                <div *ngIf="rowData.dtbastsales != null">
                    <button pButton type="submit" (click)="PrintUlangSales(rowData.idframe)" icon="fa-print" class="flat-button">
                    </button>
                </div>
            </ng-template>
        </p-column>
        </p-dataTable>
</p-tabPanel>
</p-tabView>
<p-dialog header="BAST STNK" [(visible)]="printModal" modal="true" [width]="700">
    <div class="row">
        <div class="col-sm-12">
            <h5>Diserahkan ke:</h5>
            <br>
            <form name="editForm" role="form" novalidate #editForm="ngForm">
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                    <select class="form-control" [(ngModel)]="pilihSales" name="pilih_sales">
                        <option [value]="null">Select Salesman</option>
                        <option [value]="sales.fname" *ngFor="let sales of vehicleDocumentRequirementbegbalAmbil">{{sales.fname}}</option>
                    </select>
                </div> -->
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                    <select class="form-control" [(ngModel)]="pilihSales" name="pilih_sales">
                        <option [value]="null">Select Salesman</option>
                        <option [value]="salesman.namaLengkap" *ngFor="let salesman of vehicleDocumentRequirementbegbalSales">{{salesman.namaLengkap}}</option>
                </div>
                <div class="offset-sm-1 col-sm-11">
                    <p-checkbox name="input_bastKembali" label="BAST Kembali" styleClass="form-check-input" binary="true"
                        ></p-checkbox>
                </div>
                <div class="btn-filter-wrapper pull-right">
                    <button type="submit" (click)="updateTerimaSales()" class="btn btn-primary btn-filter">
                        <span>Print Bast To Salesman</span>
                    </button>
                </div>
                <br>
                <br>
                <br>
                <label>Customer</label>
                <div class="col-sm-12">
                    <label class="form-control-label ui-g-6">Nama Pengambil*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="name"  [(ngModel)]="vehicleDocumentRequirementbegbalupdate.name" required />
                    </label>
                </div>
                <div class="col-sm-12">
                    <label class="form-control-label ui-g-6">Nomor Tanda Pengenal*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="name" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.identitynumber" required />
                    </label>
                </div>
                <div class="col-sm-12">
                    <label class="form-control-label ui-g-6">Nomor Handphone*</label>
                    <label class="form-control-label ui-g-6">
                        <input type="text" class="form-control" name="name" [(ngModel)]="vehicleDocumentRequirementbegbalupdate.cellphone" required />
                    </label>
                </div>
                <div class="btn-filter-wrapper pull-right">
                    <button type="submit" (click)="updateTanggalTerima(vehicleDocumentRequirementbegbalupdate.name, vehicleDocumentRequirementbegbalupdate.identitynumber, vehicleDocumentRequirementbegbalupdate.cellphone)" class="btn btn-primary btn-filter">
                        <span>Print Bast To Customer</span>
                    </button>
                </div>
                <!-- <div class="btn-filter-wrapper pull-right">
                    <button type="submit" (click)="updateTanggalTerima()" class="btn btn-primary btn-filter">
                        <span>Print Bast To Customer</span>
                    </button>
                </div>
                <div class="btn-filter-wrapper pull-right">
                    <button type="submit" (click)="updateTanggalTerima2()" class="btn btn-primary btn-filter">
                        <span>Print Bast To Customer</span>
                    </button>
                </div> -->
            </form>
        </div>
    </div>
</p-dialog>